# DependencyResolutionListener

interface DependencyResolutionListener

A `DependencyResolutionListener` is notified as dependencies are resolved.

## Functions

afterResolve
Link copied to clipboard
abstract fun afterResolve(dependencies: ResolvableDependencies)
This method is called immediately after a set of dependencies are resolved.
beforeResolve
Link copied to clipboard
abstract fun beforeResolve(dependencies: ResolvableDependencies)
This method is called immediately before a set of dependencies are resolved.